%global srcname pillow_heif

Name:           python-pillow-heif
Version:        0.22.0
Release:        1%{?dist}
Summary:        Python bindins to libheif and plugin for Pillow

License:        BSD-3-Clause
URL:            https://github.com/bigcat88/%{srcname}
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  libheif-devel
# Test dependencies:
#BuildRequires:  python3dist(pytest)
# some tests require the freeworld subpackage
#BuildRequires:  libheif-freeworld

%global _description %{expand:
Python bindings to libheif for working with HEIF images and plugin for Pillow.}

%description %_description

%package -n python3-pillow-heif
Summary:        %{summary}

%description -n python3-pillow-heif %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l %{srcname}


%check
# skip tests as some require the freeworld subpackage
#%%pytest


%files -n python3-pillow-heif -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{python3_sitearch}/*.so


%changelog
* Tue May 20 2025 Dan Horák <dan[at]danny.cz> - 0.22.0-1
- initial Fedora version
